summaryrefslogtreecommitdiffstats
path: root/set-background.sh
diff options
context:
space:
mode:
authorFlorian Pritz <f-p@gmx.at>2008-10-23 19:52:30 +0200
committerFlorian Pritz <f-p@gmx.at>2008-10-23 19:52:30 +0200
commitc597b01166c4ac4d042c2256826b69c6fb0bc405 (patch)
tree72f0971a761070273b625650c7cb40149db02ef7 /set-background.sh
downloadbin-c597b01166c4ac4d042c2256826b69c6fb0bc405.tar.gz
bin-c597b01166c4ac4d042c2256826b69c6fb0bc405.tar.xz
first init
Diffstat (limited to 'set-background.sh')
-rwxr-xr-xset-background.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/set-background.sh b/set-background.sh
new file mode 100755
index 0000000..06d1fd7
--- /dev/null
+++ b/set-background.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+#----------------------------------------------------#
+# File: ~/bin/set-background.sh #
+# Version: 0.1.1 #
+# Date: 2008-10-6 #
+# Author: Florian "Bluewind" Pritz <f-p@gmx.at>#
+# start screen with a combined config file #
+#----------------------------------------------------#
+# Usage: set-background.sh <image-file>
+# Sets background using feh and creates symlink for slim
+#----------------------------------------------------#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+export DISPLAY=:0.0
+
+if [ "$1" = "" ] || [ "$1" = "-h" ]; then
+ notify-send -t 10000 "Background" "Usage: set-background <file>";
+ exit 1
+fi
+
+FILE=$1
+if [ -f $FILE ] ; then
+ echo "feh --bg-center $FILE" > "/home/flo/.fehbg";
+ ln -sf "$FILE" "/home/flo/backgrounds/current_bg";
+ source /home/flo/.fehbg
+else
+ notify-send -t 10000 "Background" "Error: File \"$FILE\" doesn't exist";
+ exit 1
+fi